import { LRLanguage, LanguageSupport } from '@codemirror/language';
import { Completion, CompletionContext, CompletionResult, CompletionSource } from '@codemirror/autocomplete';

declare const jexlLanguage: LRLanguage;
declare function jexl(): LanguageSupport;

declare const snippets: readonly Completion[];

declare function localCompletionSource(context: CompletionContext): CompletionResult | null;
declare function completionPath(context: CompletionContext): {
    path: readonly string[];
    name: string;
} | null;
declare function scopeCompletionSource(scope: any): CompletionSource;

export { completionPath, jexl, jexlLanguage, localCompletionSource, scopeCompletionSource, snippets };
